Index: chapter06/xz-utils.xml
===================================================================
--- chapter06/xz-utils.xml	(revision 51023236d6d7004db10a6d9b280fe559b2a37612)
+++ chapter06/xz-utils.xml	(revision 51023236d6d7004db10a6d9b280fe559b2a37612)
@@ -0,0 +1,335 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-xz" role="wrap">
+  <?dbhtml filename="xz-utils.html"?>
+
+  <sect1info condition="script">
+    <productname>xz-utils</productname>
+    <productnumber>&xz-version;</productnumber>
+    <address>&xz-url;</address>
+  </sect1info>
+
+  <title>Xz-&xz-version;</title>
+
+  <indexterm zone="ch-system-xz">
+    <primary sortas="a-xz">Xz</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Xz package contains programs for compressing and decompressing
+    files. It provides capabilities for the lzma and the newer xz compression
+    formats.  Compressing text files with <command>xz</command> yields a better
+    compression percentage than with the traditional <command>gzip</command> or
+    <command>bzip2</command> commands.</para>
+
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
+
+      <seglistitem>
+        <seg>&xz-ch6-sbu;</seg>
+        <seg>&xz-ch6-du;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Xz</title>
+
+    <para>Prepare Xz for compilation with:</para>
+
+<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+
+    <para>Compile the package:</para>
+
+<screen><userinput remap="make">make</userinput></screen>
+
+    <para>To test the results, issue:</para>
+
+<screen><userinput remap="test">make check</userinput></screen>
+
+  <para>Install the package:</para>
+
+<screen><userinput remap="install">make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-xz" role="content">
+    <title>Contents of Xz</title>
+
+    <segmentedlist>
+      <segtitle>Installed programs</segtitle>
+      <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
+
+      <seglistitem>
+        <seg>lzcat (link to xz), lzcmp (link to xzdiff), lzdiff (link to
+        xzdiff), bzdiff, lzegrep (link to xzgrep), lzfgrep (link to xzgrep),
+        lz (link to xz), lzmadec, lzmainfo, lzmore (link to xzmore),
+        unlzma (link to xz), xzcat (link to xz), xzcmp (link to xzdiff),
+        xzdec, xzdiff, xzegrep (link to xzgrep), xzfgrep (link to xzgrep),
+        xzgrep, xzless, xzmore</seg>
+        <seg>liblzma.{a,so}</seg>
+        <seg>/usr/include/lzma and /usr/share/doc/xz</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="lzcat">
+        <term><command>lzcat</command></term>
+        <listitem>
+          <para>Decompresses to standard output</para>
+          <indexterm zone="ch-system-xz lzcat">
+            <primary sortas="b-lzcat">lzcat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzcmp">
+        <term><command>lzcmp</command></term>
+        <listitem>
+          <para>Runs <command>cmp</command> on LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzcmp">
+            <primary sortas="b-lzcmp">lzcmp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzdiff">
+        <term><command>lzdiff</command></term>
+        <listitem>
+          <para>Runs <command>diff</command> on LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzdiff">
+            <primary sortas="b-lzdiff">lzdiff</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzegrep">
+        <term><command>lzegrep</command></term>
+        <listitem>
+          <para>Runs <command>egrep</command> on LZMA compressed files files</para>
+          <indexterm zone="ch-system-xz lzegrep">
+            <primary sortas="b-lzegrep">lzegrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzfgrep">
+        <term><command>lzfgrep</command></term>
+        <listitem>
+          <para>Runs <command>fgrep</command> on LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzfgrep">
+            <primary sortas="b-lzfgrep">lzfgrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzgrep">
+        <term><command>lzgrep</command></term>
+        <listitem>
+          <para>Runs <command>grep</command> on LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzgrep">
+            <primary sortas="b-lzgrep">lzgrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzless">
+        <term><command>lzless</command></term>
+        <listitem>
+          <para>Runs <command>less</command> on LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzless">
+            <primary sortas="b-lzless">lzless</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzma">
+        <term><command>lzma</command></term>
+        <listitem>
+          <para>Compresses or decompresses files using the LZMA format</para>
+          <indexterm zone="ch-system-xz lzma">
+            <primary sortas="b-lzma">lzma</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzmadec">
+        <term><command>lzmadec</command></term>
+        <listitem>
+          <para>A small and fast decoder for LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzmadec">
+            <primary sortas="b-lzmadec">lzmadec</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzmainfo">
+        <term><command>lzmainfo</command></term>
+        <listitem>
+          <para>Shows information stored in the LZMA compressed file header</para>
+          <indexterm zone="ch-system-xz lzmainfo">
+            <primary sortas="b-lzmainfo">lzmainfo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lzmore">
+        <term><command>lzmore</command></term>
+        <listitem>
+          <para>Runs <command>more</command> on LZMA compressed files</para>
+          <indexterm zone="ch-system-xz lzmore">
+            <primary sortas="b-lzmamore">lzmore</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="unlzma">
+        <term><command>unlzma</command></term>
+        <listitem>
+          <para>Decompresses files using the LZMA format</para>
+          <indexterm zone="ch-system-xz unlzma">
+            <primary sortas="b-unlzma">unlzma</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="unxz">
+        <term><command>unxz</command></term>
+        <listitem>
+          <para>Decompresses files using the XZ format</para>
+          <indexterm zone="ch-system-xz unxz">
+            <primary sortas="b-unxz">unxz</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xz">
+        <term><command>xz</command></term>
+        <listitem>
+          <para>Compresses or decompresses files using the XZ format</para>
+          <indexterm zone="ch-system-xz xz">
+            <primary sortas="b-xz">xz</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzcat">
+        <term><command>xzcat</command></term>
+        <listitem>
+          <para>Decompresses to standard output</para>
+          <indexterm zone="ch-system-xz xzcat">
+            <primary sortas="b-xzcat">xzcat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzcmp">
+        <term><command>xzcmp</command></term>
+        <listitem>
+          <para>Runs <command>cmp</command> on XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzcmp">
+            <primary sortas="b-xzcmp">xzcmp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzdec">
+        <term><command>xzdec</command></term>
+        <listitem>
+          <para>A small and fast decoder for XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzdec">
+            <primary sortas="b-xzdec">xzdec</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzdiff">
+        <term><command>xzdiff</command></term>
+        <listitem>
+          <para>Runs <command>diff</command> on XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzdiff">
+            <primary sortas="b-xzdiff">xzdiff</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzegrep">
+        <term><command>xzegrep</command></term>
+        <listitem>
+          <para>Runs <command>egrep</command> on XZ compressed files files</para>
+          <indexterm zone="ch-system-xz xzegrep">
+            <primary sortas="b-xzegrep">xzegrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzfgrep">
+        <term><command>xzfgrep</command></term>
+        <listitem>
+          <para>Runs <command>fgrep</command> on XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzfgrep">
+            <primary sortas="b-xzfgrep">xzfgrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzgrep">
+        <term><command>xzgrep</command></term>
+        <listitem>
+          <para>Runs <command>grep</command> on XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzgrep">
+            <primary sortas="b-xzgrep">xzgrep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzless">
+        <term><command>xzless</command></term>
+        <listitem>
+          <para>Runs <command>less</command> on XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzless">
+            <primary sortas="b-xzless">xzless</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xzmore">
+        <term><command>xzmore</command></term>
+        <listitem>
+          <para>Runs <command>more</command> on XZ compressed files</para>
+          <indexterm zone="ch-system-xz xzmore">
+            <primary sortas="b-xzmore">xzmore</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="liblzma">
+        <term><filename class="libraryfile">liblzma*</filename></term>
+        <listitem>
+          <para>The library implementing lossless, block-sorting data
+          compression, using the Lempel-Ziv-Markov chain algorithm</para>
+          <indexterm zone="ch-system-xz liblzma">
+            <primary sortas="c-liblzma*">liblzma*</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>