Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision fd824cf440c91bb2452275619210d1cb75ff864d)
+++ chapter01/changelog.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
@@ -48,4 +48,16 @@
       <itemizedlist>
         <listitem>
+           <para>[bdubbs] - Make symbolic links in inital part of
+           Chapter 6 consistent for all versions of the book.  Allows
+           removing environment variables no longer needed with e2fsprogs.
+           </para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2018-07-03</para>
+      <itemizedlist>
+        <listitem>
            <para>[bdubbs] - Update to attr-2.4.48.  Fixes 
            <ulink url="&lfs-ticket-root;4308">#4308</ulink>.</para>
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision fd824cf440c91bb2452275619210d1cb75ff864d)
+++ chapter06/createfiles.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
@@ -40,13 +40,18 @@
   software has been installed:</para>
 
+<!--
 <screen revision="sysv"><userinput>ln -sv /tools/bin/{bash,cat,dd,echo,ln,pwd,rm,stty} /bin
 ln -sv /tools/bin/{install,perl} /usr/bin
 ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
 ln -sv /tools/lib/libstdc++.{a,so{,.6}} /usr/lib
-ln -sv bash /bin/sh</userinput></screen>
-
+ln -sv bash /bin/sh
+
+
+</userinput></screen>
+-->
 <!--sed 's/tools/usr/' /tools/lib/libstdc++.la > /usr/lib/libstdc++.la -->
 
-<screen revision="systemd"><userinput>ln -sv /tools/bin/{bash,cat,dd,echo,ln,pwd,rm,stty} /bin
+<!--<screen revision="systemd"><userinput>ln -sv /tools/bin/{bash,cat,dd,echo,ln,pwd,rm,stty} /bin-->
+<screen><userinput>ln -sv /tools/bin/{bash,cat,dd,echo,ln,pwd,rm,stty} /bin
 ln -sv /tools/bin/{env,install,perl} /usr/bin
 ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
@@ -177,8 +182,9 @@
     </varlistentry>
 -->
-    <varlistentry revision="systemd">
+    <!--<varlistentry revision="systemd">-->
+    <varlistentry>
       <term><parameter><filename>/usr/lib/lib{blkid,lzma,mount,uuid}.{a,la,so*}</filename></parameter></term>
       <listitem>
-        <para>These links prevent systemd utilities from acquiring an
+        <para>These links prevent <!--systemd--> utilities from acquiring an
         unnecessary reference to the
         <filename class="directory">/tools</filename> directory.</para>
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision fd824cf440c91bb2452275619210d1cb75ff864d)
+++ chapter06/e2fsprogs.xml	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
@@ -53,8 +53,10 @@
     <para>Prepare E2fsprogs for compilation:</para>
 
-<screen><userinput remap="configure">LIBS=-L/tools/lib                    \
+<!--<screen><userinput remap="configure">LIBS=-L/tools/lib                    \
+CFLAGS=-I/tools/include              \
 CFLAGS=-I/tools/include              \
 PKG_CONFIG_PATH=/tools/lib/pkgconfig \
-../configure --prefix=/usr           \
+../configure - -prefix=/usr           \-->
+<screen><userinput remap="configure">../configure --prefix=/usr           \
              --bindir=/bin           \
              --with-root-prefix=""   \
@@ -67,5 +69,5 @@
     <variablelist>
       <title>The meaning of the environment variable and configure options:</title>
-
+<!--
       <varlistentry>
         <term><parameter>PKG_CONFIG_PATH, LIBS, CFLAGS</parameter></term>
@@ -75,5 +77,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry>
         <term><parameter>--with-root-prefix=""</parameter> and
Index: general.ent
===================================================================
--- general.ent	(revision fd824cf440c91bb2452275619210d1cb75ff864d)
+++ general.ent	(revision 80541620cfa0889c443a116c2e59eca13f2f2268)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180703">
+<!ENTITY version         "SVN-20180706">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180703-systemd">
+<!ENTITY versiond        "20180706-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 3, 2018">
+<!ENTITY releasedate     "July 6, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->