Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter01/changelog.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -84,4 +84,7 @@
 </para></listitem>
 
+<listitem><para>September 11th, 2003 [jeremy]: Dropped non-toolchain tests
+to optional actions.  Added a note to use the wiki for failed tests.</para></listitem>
+
 <listitem><para>September 11th, 2003 [jeremy]: Added Bison patch, backported
 from CVS, to fix pwlib compilation problems</para></listitem>
Index: chapter02/askforhelp.xml
===================================================================
--- chapter02/askforhelp.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter02/askforhelp.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -88,4 +88,15 @@
 </sect2>
 
+<sect2>
+<title>Testsuite problems</title>
+
+<para>Many of the testsuite for packages will generate false errors.  When
+you encounter these, you can check the LFS Wiki page at
+<ulink url="http://wiki.linuxfromscratch.org"/> for our results, to see if
+our testing also shows the checks to be failing.</para>
+
+</sect2>
+
+
 </sect1>
 
Index: chapter05/bash-inst.xml
===================================================================
--- chapter05/bash-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/bash-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -17,5 +17,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Check that it works correctly:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make tests</userinput></screen></para>
Index: chapter05/coreutils-inst.xml
===================================================================
--- chapter05/coreutils-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/coreutils-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results thoroughly:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make RUN_EXPENSIVE_TESTS=yes check</userinput></screen></para>
Index: chapter05/expect-inst.xml
===================================================================
--- chapter05/expect-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/expect-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -15,12 +15,17 @@
 <para><screen><userinput>./configure --prefix=/tools --with-tcl=/tools/lib --with-x=no</userinput></screen></para>
 
-<para>Build, test, and install the package:</para>
+<para>Build the package:</para>
 
-<para><screen><userinput>make
-make test
-make install</userinput></screen></para>
+<para><screen><userinput>make</userinput></screen></para>
 
-<para>Note that also here some of the tests might fail, and that this is not a
-problem here either.</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
+
+<para><screen><userinput>make test</userinput></screen></para>
+
+<para>And install:</para>
+
+<para><screen><userinput>make install</userinput></screen></para>
 
 <para>You can now remove the source directories of both Tcl and Expect.</para>
Index: chapter05/findutils-inst.xml
===================================================================
--- chapter05/findutils-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/findutils-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter05/gettext-inst.xml
===================================================================
--- chapter05/gettext-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/gettext-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,6 +12,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Check that the programs work correctly (this takes so long you can go
-for a walk):</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter05/grep-inst.xml
===================================================================
--- chapter05/grep-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/grep-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -13,5 +13,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Check that the programs work correctly:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter05/make-inst.xml
===================================================================
--- chapter05/make-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/make-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Test the program:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter05/sed-inst.xml
===================================================================
--- chapter05/sed-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/sed-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Test the program:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter05/tar-inst.xml
===================================================================
--- chapter05/tar-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/tar-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Check that the programs work correctly:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter05/tcl-inst.xml
===================================================================
--- chapter05/tcl-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/tcl-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -14,18 +14,27 @@
 ./configure --prefix=/tools</userinput></screen></para>
 
-<para>Build, test, and install the package:</para>
+<para>Build, the package:</para>
 
-<para><screen><userinput>make 
-make -k test
-make install</userinput></screen></para>
+<para><screen><userinput>make</userinput></screen></para>
 
-<para>Note that several of the tests may fail (for exmple the clock test).
-This is, however, not a problem: the program will work well enough to be able
-to run the GCC and Binutils test suites.</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
+
+<para><screen><userinput>TZ=UTC make -k test</userinput></screen></para>
+
+<para>Sometimes, package testsuites will give false failures.  You can
+consult the LFS Wiki at <ulink url="http://wiki.linuxfromscratch.org"/>
+to verify that these failures are normal.  This applies to all tests
+throughout the book.</para>
+
+<para>Install the package:</para>
+
+<para><screen><userinput>make install</userinput></screen></para>
 
 <para>Make a link:</para>
 <para><screen><userinput>ln -s tclsh8.4 /tools/bin/tclsh</userinput></screen></para>
 
-<caution><para><emphasis>Do not remove</emphasis> the
+<caution><para>Do not remove the
 <filename>tcl&tcl-version;</filename> source directory yet, as the next package
 will need its internal headers.</para></caution>
Index: chapter05/texinfo-inst.xml
===================================================================
--- chapter05/texinfo-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter05/texinfo-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make </userinput></screen></para>
 
-<para>Check that the programs work correctly:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/autoconf-inst.xml
===================================================================
--- chapter06/autoconf-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/autoconf-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -11,5 +11,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/automake-inst.xml
===================================================================
--- chapter06/automake-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/automake-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/bash-inst.xml
===================================================================
--- chapter06/bash-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/bash-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -18,5 +18,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make tests</userinput></screen></para>
Index: chapter06/bison-inst.xml
===================================================================
--- chapter06/bison-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/bison-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -17,5 +17,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/coreutils-inst.xml
===================================================================
--- chapter06/coreutils-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/coreutils-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -24,5 +24,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results thoroughly:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check-root
Index: chapter06/diffutils-inst.xml
===================================================================
--- chapter06/diffutils-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/diffutils-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/e2fsprogs-inst.xml
===================================================================
--- chapter06/e2fsprogs-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/e2fsprogs-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -37,5 +37,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/ed-inst.xml
===================================================================
--- chapter06/ed-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/ed-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -28,5 +28,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/findutils-inst.xml
===================================================================
--- chapter06/findutils-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/findutils-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -18,5 +18,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/flex-inst.xml
===================================================================
--- chapter06/flex-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/flex-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make bigcheck</userinput></screen></para>
Index: chapter06/gawk-inst.xml
===================================================================
--- chapter06/gawk-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/gawk-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -42,5 +42,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/gettext-inst.xml
===================================================================
--- chapter06/gettext-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/gettext-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/grep-inst.xml
===================================================================
--- chapter06/grep-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/grep-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -13,5 +13,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/libtool-inst.xml
===================================================================
--- chapter06/libtool-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/libtool-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/m4-inst.xml
===================================================================
--- chapter06/m4-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/m4-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/make-inst.xml
===================================================================
--- chapter06/make-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/make-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/patch-inst.xml
===================================================================
--- chapter06/patch-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/patch-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/perl-inst.xml
===================================================================
--- chapter06/perl-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/perl-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -18,5 +18,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make test</userinput></screen></para>
Index: chapter06/sed-inst.xml
===================================================================
--- chapter06/sed-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/sed-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/tar-inst.xml
===================================================================
--- chapter06/tar-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/tar-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -13,5 +13,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/texinfo-inst.xml
===================================================================
--- chapter06/texinfo-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/texinfo-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -12,5 +12,7 @@
 <para><screen><userinput>make</userinput></screen></para>
 
-<para>Test the results:</para>
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
 
 <para><screen><userinput>make check</userinput></screen></para>
Index: chapter06/zlib-inst.xml
===================================================================
--- chapter06/zlib-inst.xml	(revision c9398bca01ffaa66d492bbc865d267ce905c3033)
+++ chapter06/zlib-inst.xml	(revision 0841437890915f7f6050da9f1066bf814439cd48)
@@ -27,10 +27,18 @@
 <para><screen><userinput>make install</userinput></screen></para>
 
-<para>Now also build and install the non-shared libraries:</para>
+<para>Now also build the non-shared libraries:</para>
 <para><screen><userinput>make clean
 ./configure --prefix=/usr
-make
-make test
-make install</userinput></screen></para>
+make</userinput></screen></para>
+
+<para>This package has a testsuite available which can perform a number of 
+checks to ensure it built correctly.  Should you choose to run it, the 
+following command will do so:</para>
+
+<para><screen><userinput>make test</userinput></screen></para>
+
+<para>And install the package:</para>
+
+<para><screen><userinput>make install</userinput></screen></para>
 
 <para>The shared Zlib library should be installed in the