Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 4476fba0b98ff83505108eddb373461ddc000849)
+++ chapter01/changelog.xml	(revision 92204706b00eb0171753ea368bae77f2a1b3c390)
@@ -46,4 +46,18 @@
       <para>2017-10-15</para>
       <itemizedlist>
+        <listitem revision="systemd">
+          <para>[dj] - Update to D-Bus-1.10.24. Fixes
+          <ulink url="&lfs-ticket-root;4143">#4143</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[dj] - Update to Systemd-235.  Fixes
+          <ulink url="&lfs-ticket-root;4147">#4147</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[dj] - Create a simple replacement for
+          <filename>/lib/systemd/systemd-user-sessions</filename>, to enable
+          uprivileged user logins without
+          <application>systemd-logind</application>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Add optional patch to ninja.</para>
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision 4476fba0b98ff83505108eddb373461ddc000849)
+++ chapter03/packages.xml	(revision 92204706b00eb0171753ea368bae77f2a1b3c390)
@@ -646,7 +646,7 @@
 
         <note>
-          <para>The Linux From Scratch systemd team generates its own tarball
-          of the man pages using the systemd source. This is done in order to
-          avoid unnecessary dependencies.</para>
+          <para>The Linux From Scratch team generates its own tarball of the
+          man pages using the systemd source. This is done in order to avoid
+          unnecessary dependencies.</para>
         </note>
       </listitem>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 4476fba0b98ff83505108eddb373461ddc000849)
+++ chapter06/systemd.xml	(revision 92204706b00eb0171753ea368bae77f2a1b3c390)
@@ -196,4 +196,14 @@
 
 <screen><userinput remap="adjust">systemd-machine-id-setup</userinput></screen>
+
+    <para>Create the <filename>/lib/systemd/systemd-user-sessions</filename>
+    script to allow unprivileged user logins without
+    <application>systemd-logind</application>:</para>
+
+<screen><userinput remap="adjust">cat &gt; /lib/systemd/systemd-user-sessions &lt;&lt; "EOF"
+#!/bin/bash
+rm -f /run/nologin
+EOF
+chmod 755 /lib/systemd/systemd-user-sessions</userinput></screen>
 
   </sect2>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4476fba0b98ff83505108eddb373461ddc000849)
+++ packages.ent	(revision 92204706b00eb0171753ea368bae77f2a1b3c390)
@@ -42,5 +42,5 @@
 
 <!ENTITY bash-version "4.4.12">
-<!ENTITY bash-size "9,242 KB">
+<!ENTITY bash-size "9,244 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
 <!ENTITY bash-md5 "7c112970cbdcadfc331e10eeb5f6aa41">
@@ -60,5 +60,5 @@
 
 <!ENTITY binutils-version "2.29.1">
-<!ENTITY binutils-size "28,441 KB">
+<!ENTITY binutils-size "28,444 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
 <!ENTITY binutils-md5 "9af59a2ca3488823e453bb356fe0f113">
@@ -109,8 +109,8 @@
 <!ENTITY coreutils-ch6-sbu "2.4 SBU">
 
-<!ENTITY dbus-version "1.10.22">
-<!ENTITY dbus-size "1,943 KB">
+<!ENTITY dbus-version "1.10.24">
+<!ENTITY dbus-size "1,952 KB">
 <!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "baaa10b7cb49086ad91179a8decfadc5">
+<!ENTITY dbus-md5 "d548ae16f9a3268fe4650ccc86a3f06f">
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "22 MB">
@@ -412,5 +412,5 @@
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "98,237 KB">
+<!ENTITY linux-size "98,244 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
 <!ENTITY linux-md5 "cd49d80f54cbe6a3cd1dc51d28648848">
@@ -464,5 +464,5 @@
 
 <!ENTITY meson-version "0.43.0">
-<!ENTITY meson-size "1,042 KB">
+<!ENTITY meson-size "1,048 KB">
 <!ENTITY meson-url "https://github.com/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
 <!ENTITY meson-md5 "b0d389cc5937928c2f5114656dc5a99a">
@@ -550,5 +550,5 @@
 
 <!ENTITY python-version "3.6.3">
-<!ENTITY python-size "16,577 KB">
+<!ENTITY python-size "16,584 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
 <!ENTITY python-md5 "b9c2c36c33fb89bda1fefd37ad5af9be">
@@ -556,7 +556,7 @@
 <!ENTITY python-ch6-du "355 MB">
 <!ENTITY python-ch6-sbu "1.3 SBU">
-<!ENTITY python-docs-url "https://docs.python.org/3.6/archives/python-&python-version;-docs-html.tar.bz2">
+<!ENTITY python-docs-url "https://docs.python.org/3.6/archives/python-3.6.3-docs-html.tar.bz2">
 <!ENTITY python-docs-md5 "5e4a8a97d4221fc67561ca26e26bd575">
-<!ENTITY python-docs-size "7,728 MB">
+<!ENTITY python-docs-size "7,732 MB">
 
 <!ENTITY readline-version "7.0">
@@ -594,12 +594,12 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "234">
-<!ENTITY systemd-size     "4,688 KB">
-<!ENTITY systemd-url      "https://github.com/systemd/systemd/archive/v234/systemd-234.tar.gz">
-<!ENTITY systemd-md5      "2d8f6ebded3462ac0d1a6275e54db561">
+<!ENTITY systemd-version  "235">
+<!ENTITY systemd-size     "6,440 KB">
+<!ENTITY systemd-url      "https://github.com/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
+<!ENTITY systemd-md5      "d53a925f1ca5b2e124de0a8aa65d0db2">
 <!ENTITY systemd-home     "http://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "356 KB">
+<!ENTITY systemd-man-size "316 KB">
 <!ENTITY systemd-man-url  "http://anduin.linuxfromscratch.org/LFS/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "c52e13fa137b5f0e3900881d3cdccb9a">
+<!ENTITY systemd-man-md5  "6cd94df145eeb6e9558d9402fa1a747a">
 <!ENTITY systemd-ch6-du   "13 MB">
 <!ENTITY systemd-ch6-sbu  "0.6 SBU">