Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter01/changelog.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -37,4 +37,69 @@
 -->
     <listitem>
+      <para>2014-03-14</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Merge LFS SVN-20140312 book.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2014-03-12</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Tweaked bash docs installation. Fixes
+          <ulink url="&lfs-ticket-root;3519">#3519</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Tweaked readline docs installation. Fixes
+          <ulink url="&lfs-ticket-root;3518">#3518</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-3.13.6. Fixes
+          <ulink url="&lfs-ticket-root;3512">#3512</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.62. Fixes
+          <ulink url="&lfs-ticket-root;3517">#3517</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to txdata-2014a. Fixes
+          <ulink url="&lfs-ticket-root;3517">#3517</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2014-03-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to grep-2.18. Fixes
+          <ulink url="&lfs-ticket-root;3487">#3487</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.61. Fixes
+          <ulink url="&lfs-ticket-root;3490">#3490</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to psmisc-22.21. Fixes
+          <ulink url="&lfs-ticket-root;3500">#3500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Linux-3.13.5. Fixes
+          <ulink url="&lfs-ticket-root;3505">#3505</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bash-4.3. Fixes
+          <ulink url="&lfs-ticket-root;3509">#3509</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to readline-6.3. Fixes
+          <ulink url="&lfs-ticket-root;3510">#3510</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-03-02</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter01/whatsnew.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -38,7 +38,7 @@
       <para>Automake &automake-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bash &bash-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Binutils &binutils-version;</para>
@@ -104,7 +104,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep &grep-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff &groff-version;</para>
@@ -149,7 +149,7 @@
       <para>Libtool &libtool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Linux &linux-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>M4 &m4-version;</para>
@@ -161,7 +161,7 @@
       <para>Man-DB &man-db-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>MPC &mpc-version;</para>
@@ -185,10 +185,10 @@
       <para>Procps-ng &procps-ng-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Psmisc &psmisc-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Readline &readline-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Sed &sed-version;</para>
@@ -209,7 +209,7 @@
       <para>Texinfo &texinfo-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
@@ -248,4 +248,12 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
+    <listitem>
+      <para>bash-4.2-fixes-12.patch</para>
+    </listitem>
+
+    <listitem>
+      <para>readline-6.2-fixes-2.patch</para>
+    </listitem>
+
   </itemizedlist>
 
Index: chapter02/creatingpartition.xml
===================================================================
--- chapter02/creatingpartition.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter02/creatingpartition.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -31,5 +31,5 @@
 -->
 
-  <para>A minimal system requires a partition of around 2.8 gigabytes (GB).
+  <para>A minimal system requires a partition of around 4 gigabytes (GB).
   This is enough to store all the source tarballs and compile the packages.
   However, if the LFS system is intended to be the primary Linux system,
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter03/patches.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -18,5 +18,5 @@
 
   <variablelist role="materials">
-
+<!--
     <varlistentry>
       <term>Bash Upstream Fixes Patch - <token>&bash-fixes-patch-size;</token>:</term>
@@ -26,5 +26,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>Bzip2 Documentation Patch - <token>&bzip2-docs-patch-size;</token>:</term>
@@ -66,5 +66,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term>Readline Upstream Fixes Patch - <token>&readline-fixes-patch-size;</token>:</term>
@@ -74,5 +74,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>Tar Manpage Patch - <token>&tar-manpage-patch-size;</token>:</term>
Index: chapter05/bash.xml
===================================================================
--- chapter05/bash.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter05/bash.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -43,10 +43,10 @@
   <sect2 role="installation">
     <title>Installation of Bash</title>
-
+<!--
     <para>First, apply the following patch to fix various bugs that have been
     addressed upstream:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&bash-fixes-patch;</userinput></screen>
-
+-->
     <para>Prepare Bash for compilation:</para>
 
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter06/bash.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -40,16 +40,16 @@
   <sect2 role="installation">
     <title>Installation of Bash</title>
-
+<!--
     <para>First, apply the following patch to fix various bugs that have been
     addressed upstream:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&bash-fixes-patch;</userinput></screen>
-
+-->
     <para>Prepare Bash for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr                     \
-            --bindir=/bin                     \
-            --htmldir=/usr/share/doc/bash-&bash-version; \
-            --without-bash-malloc             \
+<screen><userinput remap="configure">./configure --prefix=/usr                    \
+            --bindir=/bin                    \
+            --docdir=/usr/share/doc/bash-&bash-version; \
+            --without-bash-malloc            \
             --with-installed-readline</userinput></screen>
 
Index: chapter06/creatingdirs.xml
===================================================================
--- chapter06/creatingdirs.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter06/creatingdirs.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -25,6 +25,6 @@
 
 case $(uname -m) in
- x86_64) ln -sv lib /lib64     &amp;&amp; 
-         ln -sv lib /usr/lib64 &amp;&amp; 
+ x86_64) ln -sv lib /lib64
+         ln -sv lib /usr/lib64
          ln -sv lib /usr/local/lib64 ;;
 esac
Index: chapter06/linux-headers.xml
===================================================================
--- chapter06/linux-headers.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter06/linux-headers.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -60,6 +60,5 @@
     the intermediate directory.</para>
 
-<screen><userinput remap="make">make headers_check
-make INSTALL_HDR_PATH=dest headers_install
+<screen><userinput remap="make">make INSTALL_HDR_PATH=dest headers_install
 find dest/include \( -name .install -o -name ..install.cmd \) -delete
 </userinput><userinput remap="install">cp -rv dest/include/* /usr/include</userinput></screen>
Index: chapter06/readline.xml
===================================================================
--- chapter06/readline.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter06/readline.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -50,11 +50,7 @@
 sed -i '/{OLDSUFF}/c:' support/shlib-install</userinput></screen>
 
-    <para>Apply a patch to fix a known bug that has been fixed upstream:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../&readline-fixes-patch;</userinput></screen>
-
     <para>Prepare Readline for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr --docdir=/usr/share/doc/readline-&readline-version; </userinput></screen>
 
     <para>Compile the package:</para>
@@ -91,6 +87,5 @@
     <para>If desired, install the documentation:</para>
 
-<screen><userinput remap="install">mkdir   -v /usr/share/doc/readline-&readline-version;
-install -v -m644 doc/*.{ps,pdf,html,dvi} /usr/share/doc/readline-&readline-version;</userinput></screen>
+<screen><userinput remap="install">install -v -m644 doc/*.{ps,pdf,html,dvi} /usr/share/doc/readline-&readline-version;</userinput></screen>
 
   </sect2>
Index: chapter09/reboot.xml
===================================================================
--- chapter09/reboot.xml	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ chapter09/reboot.xml	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -79,5 +79,5 @@
   </itemizedlist>
 
-  <para>Now that we have said that, lets move on to booting our shiny new LFS
+  <para>Now that we have said that, let's move on to booting our shiny new LFS
   installation for the first time! First exit from the chroot environment:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ general.ent	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -1,6 +1,6 @@
-<!ENTITY version         "20140302-systemd">
-<!ENTITY releasedate     "March 2, 2014">
+<!ENTITY version         "20140314-systemd">
+<!ENTITY releasedate     "March 14, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "7.5">
+<!ENTITY milestone       "7.6">
 <!ENTITY generic-version "systemd"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 
@@ -33,5 +33,5 @@
 <!ENTITY gnu-software    "http://www.gnu.org/software/">
 <!ENTITY alpha-gnu       "http://alpha.gnu.org/gnu/">
-<!ENTITY kernel          "http://www.kernel.org/pub/">
+<!ENTITY kernel          "https://www.kernel.org/pub/">
 <!ENTITY sourceforge     "http://prdownloads.sourceforge.net/">
 
Index: packages.ent
===================================================================
--- packages.ent	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ packages.ent	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -41,13 +41,13 @@
 <!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 12 SBU with tests)">
 
-<!ENTITY bash-version "4.2">
-<!ENTITY bash-size "6,845 KB">
+<!ENTITY bash-version "4.3">
+<!ENTITY bash-size "7,770 KB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
-<!ENTITY bash-md5 "3fb927c7c33022f1c327f14a81c0d4b0">
+<!ENTITY bash-md5 "81348932d5da294953e15d4814c74dd1">
 <!ENTITY bash-home "&gnu-software;bash/">
-<!ENTITY bash-ch5-du "48 MB">
+<!ENTITY bash-ch5-du "44 MB">
 <!ENTITY bash-ch5-sbu "0.4 SBU">
-<!ENTITY bash-ch6-du "45 MB">
-<!ENTITY bash-ch6-sbu "1.7 SBU">
+<!ENTITY bash-ch6-du "44 MB">
+<!ENTITY bash-ch6-sbu "1.6 SBU">
 
 <!ENTITY bc-version "1.06.95">
@@ -267,12 +267,12 @@
 <!ENTITY gperf-ch6-sbu "0.1 SBU">
 
-<!ENTITY grep-version "2.16">
-<!ENTITY grep-size "1,184 KB">
+<!ENTITY grep-version "2.18">
+<!ENTITY grep-size "1,185 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "502350a6c8f7c2b12ee58829e760b44d">
+<!ENTITY grep-md5 "7439f8266f50844b56cc3e2721606541">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-ch5-du "21 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "30 MB">
+<!ENTITY grep-ch6-du "31 MB">
 <!ENTITY grep-ch6-sbu "0.4 SBU">
 
@@ -396,10 +396,10 @@
 <!ENTITY linux-major-version "3">
 <!ENTITY linux-minor-version "13">
-<!ENTITY linux-patch-version "3">
+<!ENTITY linux-patch-version "6">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
-<!ENTITY linux-size "75,393 KB">
+<!ENTITY linux-size "75,386 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "ad98a0c623a124a25dab86406ddc7119">
+<!ENTITY linux-md5 "445aa27da818617409982f42902a6e41">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -442,8 +442,8 @@
 <!ENTITY man-db-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "3.59">
-<!ENTITY man-pages-size "1,172 KB">
+<!ENTITY man-pages-version "3.62">
+<!ENTITY man-pages-size "1,179 KB">
 <!ENTITY man-pages-url "http://www.kernel.org/pub/linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "d8e4d8287a76ee861351b905044c8e92">
+<!ENTITY man-pages-md5 "3877e1539dcb46bd23605b4d9d73c57d">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "23 MB">
@@ -516,18 +516,18 @@
 <!ENTITY procps-ng-ch6-sbu "0.2 SBU">
 
-<!ENTITY psmisc-version "22.20">
-<!ENTITY psmisc-size "422 KB">
+<!ENTITY psmisc-version "22.21">
+<!ENTITY psmisc-size "447 KB">
 <!ENTITY psmisc-url "&sourceforge;psmisc/psmisc-&psmisc-version;.tar.gz">
-<!ENTITY psmisc-md5 "a25fc99a6dc7fa7ae6e4549be80b401f">
+<!ENTITY psmisc-md5 "935c0fd6eb208288262b385fa656f1bf">
 <!ENTITY psmisc-home "http://psmisc.sourceforge.net/">
-<!ENTITY psmisc-ch6-du "4.2 MB">
+<!ENTITY psmisc-ch6-du "4.0 MB">
 <!ENTITY psmisc-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY readline-version "6.2">
-<!ENTITY readline-size "2,225 KB">
+<!ENTITY readline-version "6.3">
+<!ENTITY readline-size "2,411 KB">
 <!ENTITY readline-url "&gnu;readline/readline-&readline-version;.tar.gz">
-<!ENTITY readline-md5 "67948acb2ca081f23359d0256e9a271c">
+<!ENTITY readline-md5 "33c8fb279e981274f485fd91da77e94a">
 <!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
-<!ENTITY readline-ch6-du "17.2 MB">
+<!ENTITY readline-ch6-du "16.5 MB">
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
@@ -587,8 +587,8 @@
 <!ENTITY systemd-ch6-sbu "0.1 SBU">
 
-<!ENTITY tzdata-version "2013i">
-<!ENTITY tzdata-size "214 KB">
+<!ENTITY tzdata-version "2014a">
+<!ENTITY tzdata-size "215 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "8bc69eb75bea496ebe1d5a9ab576702d">
+<!ENTITY tzdata-md5 "423a11bcffc10dda578058cf1587d048">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 <!ENTITY tzdata-ch6-du "6.4 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision a7b75067b395863e9b08da37ef78e6e2dbdf08ba)
+++ patches.ent	(revision 92563094fbeb66356bd9e8f327bb974d26547887)
@@ -2,8 +2,4 @@
 
 <!-- Start of Common Patches -->
-
-<!ENTITY bash-fixes-patch "bash-&bash-version;-fixes-12.patch">
-<!ENTITY bash-fixes-patch-md5 "419f95c173596aea47a23d922598977a">
-<!ENTITY bash-fixes-patch-size "56 KB">
 
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">
@@ -27,8 +23,4 @@
 <!ENTITY perl-libc-patch-size "1.6 KB">
 
-<!ENTITY readline-fixes-patch "readline-&readline-version;-fixes-2.patch">
-<!ENTITY readline-fixes-patch-md5 "b793b2bf1306bc62e5f1e7ebbdae2f35">
-<!ENTITY readline-fixes-patch-size "3.3 KB">
-
 <!ENTITY tar-manpage-patch "tar-&tar-version;-manpage-1.patch">
 <!ENTITY tar-manpage-patch-md5 "321f85ec32733b1a9399e788714a5156">