Index: chapter06/sysvinit.xml
===================================================================
--- chapter06/sysvinit.xml	(revision 9132fe499be0b137bc5494d39cb89390ea11f4ca)
+++ chapter06/sysvinit.xml	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -83,4 +83,12 @@
 <screen><userinput remap="install">make -C src install</userinput></screen>
 
+    <para>Move files that have a name conflict with <xref linkend="ch-system-systemd"/>
+    so that both packages can be installed side-by-side:</para>
+
+<screen><userinput remap="install">for p in init halt poweroff reboot runlevel shutdown telinit; do
+  mv -v /sbin/$p /sbin/$p-sysv
+  mv -v /usr/share/man/man8/$p.8 /usr/share/man/man8/$p-sysv.8
+done</userinput></screen>
+
   </sect2>
 
@@ -123,5 +131,5 @@
       </varlistentry>
 
-      <varlistentry id="halt">
+      <varlistentry id="halt-sysv">
         <term><command>halt</command></term>
         <listitem>
@@ -131,5 +139,5 @@
           file <filename>/var/log/wtmp</filename> that the system is being
           brought down</para>
-          <indexterm zone="ch-system-sysvinit halt">
+          <indexterm zone="ch-system-sysvinit halt-sysv">
             <primary sortas="b-halt">halt</primary>
           </indexterm>
@@ -137,5 +145,5 @@
       </varlistentry>
 
-      <varlistentry id="init">
+      <varlistentry id="init-sysv">
         <term><command>init</command></term>
         <listitem>
@@ -143,5 +151,5 @@
           the hardware which takes over the boot process and starts all the
           proceses it is instructed to</para>
-          <indexterm zone="ch-system-sysvinit init">
+          <indexterm zone="ch-system-sysvinit init-sysv">
             <primary sortas="b-init">init</primary>
           </indexterm>
@@ -161,10 +169,10 @@
       </varlistentry>
 
-      <varlistentry id="poweroff">
+      <varlistentry id="poweroff-sysv">
         <term><command>poweroff</command></term>
         <listitem>
           <para>Tells the kernel to halt the system and switch off the computer
           (see <command>halt</command>)</para>
-          <indexterm zone="ch-system-sysvinit poweroff">
+          <indexterm zone="ch-system-sysvinit poweroff-sysv">
             <primary sortas="b-poweroff">poweroff</primary>
           </indexterm>
@@ -172,10 +180,10 @@
       </varlistentry>
 
-      <varlistentry id="reboot">
+      <varlistentry id="reboot-sysv">
         <term><command>reboot</command></term>
         <listitem>
           <para>Tells the kernel to reboot the system (see
           <command>halt</command>)</para>
-          <indexterm zone="ch-system-sysvinit reboot">
+          <indexterm zone="ch-system-sysvinit reboot-sysv">
             <primary sortas="b-reboot">reboot</primary>
           </indexterm>
@@ -183,10 +191,10 @@
       </varlistentry>
 
-      <varlistentry id="runlevel">
+      <varlistentry id="runlevel-sysv">
         <term><command>runlevel</command></term>
         <listitem>
           <para>Reports the previous and the current run-level, as noted in the
           last run-level record in <filename>/var/run/utmp</filename></para>
-          <indexterm zone="ch-system-sysvinit runlevel">
+          <indexterm zone="ch-system-sysvinit runlevel-sysv">
             <primary sortas="b-runlevel">runlevel</primary>
           </indexterm>
@@ -194,10 +202,10 @@
       </varlistentry>
 
-      <varlistentry id="shutdown">
+      <varlistentry id="shutdown-sysv">
         <term><command>shutdown</command></term>
         <listitem>
           <para>Brings the system down in a secure way, signaling all processes
           and notifying all logged-in users</para>
-          <indexterm zone="ch-system-sysvinit shutdown">
+          <indexterm zone="ch-system-sysvinit shutdown-sysv">
             <primary sortas="b-shutdown">shutdown</primary>
           </indexterm>
@@ -205,9 +213,9 @@
       </varlistentry>
 
-      <varlistentry id="telinit">
+      <varlistentry id="telinit-sysv">
         <term><command>telinit</command></term>
         <listitem>
           <para>Tells <command>init</command> which run-level to change to</para>
-          <indexterm zone="ch-system-sysvinit telinit">
+          <indexterm zone="ch-system-sysvinit telinit-sysv">
             <primary sortas="b-telinit">telinit</primary>
           </indexterm>