Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ chapter01/changelog.xml	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -38,4 +38,25 @@
 
     <listitem>
+      <para>2015-12-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gmp-6.1.0. Fixes
+          <ulink url="&lfs-ticket-root;3862">#3862</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Clean up Eudev configure options. Fixes
+          <ulink url="&lfs-ticket-root;3865">#3865</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update host requirements to require GCC-4.7 or later.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Clarify that setting and using the LFS variable 
+          assumes the bash shell.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2015-11-18</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ chapter01/whatsnew.xml	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -98,7 +98,7 @@
       <para>Glibc &glibc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
Index: chapter02/aboutlfs.xml
===================================================================
--- chapter02/aboutlfs.xml	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ chapter02/aboutlfs.xml	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -48,5 +48,9 @@
   set is to edit the <filename>.bash_profile</filename> file in both your
   personal home directory and in  <filename>/root/.bash_profile</filename> and
-  enter the export command above.  </para></note>
+  enter the export command above.  In addition, the shell specified in the
+  <filename>/etc/passwd</filename> file for all users that need the
+  <envar>LFS</envar> variable needs to be bash to ensure that the
+  <filename>/root/.bash_profile</filename> file is incorporated as a part of
+  the login process.</para></note>
 
 </sect1>
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ chapter06/eudev.xml	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -64,12 +64,17 @@
             --with-rootprefix=      \
             --with-rootlibdir=/lib  \
-            --enable-split-usr      \
             --enable-manpages       \
-            --enable-hwdb           \
-            --disable-introspection \
-            --disable-gudev         \
             --disable-static        \
-            --config-cache          \
-            --disable-gtk-doc-html</userinput></screen>
+            --config-cache</userinput></screen>
+
+<!-- Seems to be unneeded - but leave as a comment for a while
+
+            - -disable-gudev         \
+            - -enable-split-usr      \
+            - -enable-hwdb           \
+            - -disable-introspection \
+            - -disable-gtk-doc-html</userinput></screen>
+
+-->
 
 <para>Compile the package:</para>
Index: chapter06/gmp.xml
===================================================================
--- chapter06/gmp.xml	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ chapter06/gmp.xml	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -92,8 +92,8 @@
 <screen><userinput remap="test">make check 2>&amp;1 | tee gmp-check-log</userinput></screen>
 
-    <para>Ensure that all 188 tests in the test suite passed.
+    <para>Ensure that all 190 tests in the test suite passed.
     Check the results by issuing the following command:</para>
 
-<screen><userinput remap="test">awk '/tests passed/{total+=$2} ; END{print total}' gmp-check-log</userinput></screen>
+<screen><userinput remap="test">awk '/# PASS:/{total+=$3} ; END{print total}' gmp-check-log</userinput></screen>
 
     <para>Install the package and its documentation:</para>
Index: general.ent
===================================================================
--- general.ent	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ general.ent	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20151118">
+<!ENTITY version         "SVN-20151203">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "November 18, 2015">
+<!ENTITY releasedate     "December 3, 2015">
 <!ENTITY copyrightdate   "1999-2015"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.9">
Index: packages.ent
===================================================================
--- packages.ent	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ packages.ent	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -240,9 +240,9 @@
 <!ENTITY glibc-ch6-sbu "17.4 SBU">
 
-<!ENTITY gmp-version "6.0.0a">
-<!ENTITY gmp-extracted-version "6.0.0">
-<!ENTITY gmp-size "1,860 KB">
+<!ENTITY gmp-version "6.1.0">
+<!ENTITY gmp-extracted-version "6.1.0">
+<!ENTITY gmp-size "1,905 KB">
 <!ENTITY gmp-url "&gnu;/gmp/gmp-&gmp-version;.tar.xz">
-<!ENTITY gmp-md5 "1e6da4e434553d2811437aa42c7f7c76">
+<!ENTITY gmp-md5 "a9868ef2556ad6a2909babcd1428f3c7">
 <!ENTITY gmp-home "&gnu-software;gmp/">
 <!ENTITY gmp-ch6-du "56 MB">
Index: prologue/hostreqs.xml
===================================================================
--- prologue/hostreqs.xml	(revision e074bae6e2dc48a7fe26b7df35a82e96716ecb93)
+++ prologue/hostreqs.xml	(revision 533664111568c587115b2278fa788d1171e22876)
@@ -62,5 +62,5 @@
 
     <listitem>
-      <para><emphasis role="strong">GCC-4.1.2</emphasis> including the C++
+      <para><emphasis role="strong">GCC-4.7</emphasis> including the C++
       compiler, <command>g++</command> (Versions greater than &gcc-version; are
       not recommended as they have not been tested)</para>
@@ -208,5 +208,5 @@
 makeinfo --version | head -n1
 xz --version | head -n1
-
+<?hard-pagebreak?>
 echo 'int main(){}' &gt; dummy.c &amp;&amp; g++ -o dummy dummy.c
 if [ -x dummy ]