Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 16eacd242867f1892a3dc38aef59da5110ac1e0c)
+++ chapter01/changelog.xml	(revision 8133094553332eeb1495996d2e5371477f93face)
@@ -38,4 +38,18 @@
 
     <listitem>
+      <para>2015-03-20</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-3.19.2. Fixes
+          <ulink url="&lfs-ticket-root;3768">#3768</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to eudev-3.0. Fixes
+          <ulink url="&lfs-ticket-root;3769">#3769</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2015-03-15</para>
       <itemizedlist>
@@ -64,5 +78,5 @@
         <listitem>
           <para>[bdubbs] - Update to intltool-0.51.0. Fixes
-          <ulink url="&lfs-ticket-root;3763">#3764</ulink>.</para>
+          <ulink url="&lfs-ticket-root;3764">#3764</ulink>.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 16eacd242867f1892a3dc38aef59da5110ac1e0c)
+++ chapter01/whatsnew.xml	(revision 8133094553332eeb1495996d2e5371477f93face)
@@ -62,7 +62,7 @@
       <para>Diffutils &diffutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Eudev &eudev-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
@@ -271,7 +271,7 @@
     </listitem>
 
-    <!--<listitem>
-      <para>binutils-2.24-load_gcc_lto_plugin_by_default-1.patch</para>
-    </listitem>-->
+    <listitem>
+      <para>Eudev-manpages separate tarball</para>
+    </listitem>
 
     <!--<listitem>
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision 16eacd242867f1892a3dc38aef59da5110ac1e0c)
+++ chapter03/packages.xml	(revision 8133094553332eeb1495996d2e5371477f93face)
@@ -148,5 +148,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term>Eudev-manpages (&eudev-version;) - <token>&eudev-manpages-size;</token>:</term>
@@ -156,5 +156,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry>
       <term>E2fsprogs (&e2fsprogs-version;) - <token>&e2fsprogs-size;</token>:</term>
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision 16eacd242867f1892a3dc38aef59da5110ac1e0c)
+++ chapter06/eudev.xml	(revision 8133094553332eeb1495996d2e5371477f93face)
@@ -86,5 +86,7 @@
     <para>Now, install the man pages:</para>
 
-<screen><userinput remap="install">tar -xvf ../eudev-&eudev-version;-manpages.tar.bz2 -C /usr/share</userinput></screen>
+<screen><userinput remap="install">pushd man
+make install-man7 install-man8
+popd</userinput></screen>
 
     <para>Finally, install some custom rules and support files useful in an LFS 
Index: general.ent
===================================================================
--- general.ent	(revision 16eacd242867f1892a3dc38aef59da5110ac1e0c)
+++ general.ent	(revision 8133094553332eeb1495996d2e5371477f93face)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20150315">
+<!ENTITY version         "SVN-20150320">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "March 15, 2015">
+<!ENTITY releasedate     "March 20, 2015">
 <!ENTITY copyrightdate   "1999-2015"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.8">
Index: packages.ent
===================================================================
--- packages.ent	(revision 16eacd242867f1892a3dc38aef59da5110ac1e0c)
+++ packages.ent	(revision 8133094553332eeb1495996d2e5371477f93face)
@@ -135,12 +135,13 @@
 <!ENTITY e2fsprogs-ch6-sbu "2.7 SBU">
 
-<!ENTITY eudev-version "2.1.1">
-<!ENTITY eudev-size "1,745 KB">
+<!ENTITY eudev-version "3.0">
+<!ENTITY eudev-size "1,793 KB">
 <!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-<!ENTITY eudev-md5 "dd945ce34314b4544e9036153d3a97e9">
+<!ENTITY eudev-md5 "a2706a1413723b6b82eecb7d6982763c">
+<!--
 <!ENTITY eudev-manpages-size "9 KB">
 <!ENTITY eudev-manpages-url "&anduin-other;eudev-&eudev-version;-manpages.tar.bz2">
 <!ENTITY eudev-manpages-md5 "5be15528788635818104146957171f5d">
-
+-->
 <!ENTITY eudev-ch6-du "95 MB">
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
@@ -387,10 +388,10 @@
 <!ENTITY linux-major-version "3">
 <!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "79,778 KB">
+<!ENTITY linux-size "79,772 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "90e9cdcaecf587acba4e94904f5f8606">
+<!ENTITY linux-md5 "d9f991fc1e5d0ffa9740ddd839ad83f7">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is