Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ chapter01/changelog.xml	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -43,4 +43,30 @@
     appropriate for the entry or if needed the entire day's listitem.
        -->
+    <listitem>
+      <para>2020-03-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gcc-9.3.0. Fixes
+          <ulink url="&lfs-ticket-root;4613">#4613</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.6.0. Fixes
+          <ulink url="&lfs-ticket-root;4612">#4612</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.5.3. Fixes
+          <ulink url="&lfs-ticket-root;4611">#4611</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.5.9. Fixes
+          <ulink url="&lfs-ticket-root;4610">#4610</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to coreutils-8.32. Fixes
+          <ulink url="&lfs-ticket-root;4609">#4609</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2020-03-02</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ chapter01/whatsnew.xml	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -42,13 +42,13 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Binutils-&binutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bison-&bison-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Bzip2-&bzip2-version;</para>
@@ -57,7 +57,7 @@
       <para>Check-&check-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Coreutils-&coreutils-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>DejaGNU-&dejagnu-version;</para>
@@ -93,7 +93,7 @@
       <para>Gawk-&gawk-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>GCC-&gcc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
        <para>GDBM-&gdbm-version;</para>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ chapter05/gcc-pass2.xml	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -104,11 +104,4 @@
 tar -xf ../mpc-&mpc-version;.tar.gz
 mv -v mpc-&mpc-version; mpc</userinput></screen>
-
-    <para>
-      Now fix a problem introduced by Glibc-2.31:
-    </para>
-
-<screen><userinput remap="pre">sed -e '1161 s|^|//|' \
-    -i libsanitizer/sanitizer_common/sanitizer_platform_limits_posix.cc</userinput></screen>
 
     <para>Create a separate build directory again:</para>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ chapter06/gcc.xml	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -51,11 +51,4 @@
   ;;
 esac</userinput></screen>
-
-   <para>
-      As in gcc-pass2, fix a problem introduced by Glibc-2.31:
-    </para>
-
-<screen><userinput remap="pre">sed -e '1161 s|^|//|' \
-    -i libsanitizer/sanitizer_common/sanitizer_platform_limits_posix.cc</userinput></screen>
 
     <para>The GCC documentation recommends building GCC in a dedicated build directory:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ general.ent	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200302">
+<!ENTITY version         "SVN-20200315">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200302-systemd">
+<!ENTITY versiond        "20200315-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 2nd, 2020">
+<!ENTITY releasedate     "March 15th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ packages.ent	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "1.9 SBU">
 
-<!ENTITY bc-version "2.5.3">
+<!ENTITY bc-version "2.6.0">
 <!ENTITY bc-size "247 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "6582c6fbbae943fbfb8fe14a34feab57">
+<!ENTITY bc-md5 "cf466ccf1114efa3352985d210e5f255">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
 <!ENTITY bc-ch6-du "2.9 MB">
@@ -71,8 +71,8 @@
 <!ENTITY binutils-ch6-sbu "6.7 SBU">
 
-<!ENTITY bison-version "3.5.2">
-<!ENTITY bison-size "2,308 KB">
+<!ENTITY bison-version "3.5.3">
+<!ENTITY bison-size "2,310 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "49fc2cf23e31e697d5072835e1662a97">
+<!ENTITY bison-md5 "f556fdd6df5ebf0c61720928811d2986">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-ch5-du "43 MB">
@@ -109,8 +109,8 @@
 <!ENTITY check-ch5-sbu "0.1 SBU (about 3.5 SBU with tests)">
 
-<!ENTITY coreutils-version "8.31">
-<!ENTITY coreutils-size "5,284 KB">
+<!ENTITY coreutils-version "8.32">
+<!ENTITY coreutils-size "5,418 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "0009a224d8e288e8ec406ef0161f9293">
+<!ENTITY coreutils-md5 "022042695b7d5bcf1a93559a9735e668">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "157 MB">
@@ -223,8 +223,8 @@
 <!ENTITY gawk-ch6-sbu "0.4 SBU">
 
-<!ENTITY gcc-version "9.2.0">
-<!ENTITY gcc-size "68,953 KB">
+<!ENTITY gcc-version "9.3.0">
+<!ENTITY gcc-size "68,881 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
-<!ENTITY gcc-md5 "3818ad8600447f05349098232c2ddc78">
+<!ENTITY gcc-md5 "d00a144b771ddeb021b61aa205b7e345">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "3.1 GB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "5">
-<!ENTITY linux-patch-version "7">
+<!ENTITY linux-patch-version "9">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "108,132 KB">
+<!ENTITY linux-size "108,150 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "80a9d1db273733c25f96979e674169f8">
+<!ENTITY linux-md5 "6308d3637002211abd3b644ed0d94437">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
Index: patches.ent
===================================================================
--- patches.ent	(revision 4d796cab3ef4508b3c3dbf5931a1eada35e29775)
+++ patches.ent	(revision 8671978267259913ba622d6631b1ba6e9f678948)
@@ -7,10 +7,4 @@
 <!ENTITY bash-fixes-patch-size "22 KB">
 
-<!--
-<!ENTITY bc-memory-leak-patch "bc-&bc-version;-memory_leak-1.patch">
-<!ENTITY bc-memory-leak-patch-md5 "877e81fba316fe487ec23501059d54b8">
-<!ENTITY bc-memory-leak-patch-size "1.4 KB">
--->
-
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">
 <!ENTITY bzip2-docs-patch-md5 "6a5ac7e89b791aae556de0f745916f7f">
@@ -18,15 +12,11 @@
 
 <!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-1.patch">
-<!ENTITY coreutils-i18n-patch-md5 "a9404fb575dfd5514f3c8f4120f9ca7d">
-<!ENTITY coreutils-i18n-patch-size "168 KB">
+<!ENTITY coreutils-i18n-patch-md5 "cd8ebed2a67fff2e231026df91af6776">
+<!ENTITY coreutils-i18n-patch-size "166 KB">
+
 <!--
 <!ENTITY flex-fixes-patch "flex-&flex-version;-upstream_fixes-3.patch">
 <!ENTITY flex-fixes-patch-md5 "b46f6b0380e502a3dfb8b503227cd680">
 <!ENTITY flex-fixes-patch-size "3.4 KB">
--->
-<!--
-<!ENTITY gcc-asan-patch "gcc-&gcc-version;-asan-1.patch">
-<!ENTITY gcc-asan-patch-md5 "c12ab2e323010fda83bfccc27f58f0b5">
-<!ENTITY gcc-asan-patch-size "2.8 KB">
 -->
 
@@ -35,9 +25,4 @@
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
 
-<!--
-<!ENTITY glibc-glob-patch "glibc-&glibc-version;-local_glob_exploits-2.patch">
-<!ENTITY glibc-glob-patch-md5 "1377e4f5422c6672ff48d430c07b245c">
-<!ENTITY glibc-glob-patch-size "2.3 KB">
--->
 <!--
 <!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_fixes-1.patch">