Index: chapter08/attr.xml
===================================================================
--- chapter08/attr.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/attr.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -81,5 +81,6 @@
     --prefix=/usr         \
     --disable-static      \
-    --libdir=/usr/lib32 \
+    --sysconfdir=/etc     \
+    --libdir=/usr/lib32   \
     --host=i686-pc-linux-gnu</userinput></screen>
 
@@ -112,4 +113,5 @@
     --prefix=/usr          \
     --disable-static       \
+    --sysconfdir=/etc      \
     --libdir=/usr/libx32   \
     --host=x86_64-pc-linux-gnux32</userinput></screen>
Index: chapter08/eudev.xml
===================================================================
--- chapter08/eudev.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/eudev.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -105,6 +105,5 @@
             --sysconfdir=/etc              \
             --disable-manpages             \
-            --disable-static               \
-            --config-cache</userinput></screen>
+            --disable-static</userinput></screen>
 
     <para>Compile the package:</para>
@@ -140,6 +139,5 @@
             --sysconfdir=/etc              \
             --disable-manpages             \
-            --disable-static               \
-            --config-cache</userinput></screen>
+            --disable-static</userinput></screen>
 
     <para>Compile the package:</para>
Index: chapter08/expat.xml
===================================================================
--- chapter08/expat.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/expat.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -82,5 +82,6 @@
 
 <screen><userinput remap="configure">CC="gcc -m32" ./configure \
-    --prefix=/usr         \
+    --prefix=/usr        \
+    --disable-static     \
     --libdir=/usr/lib32  \
     --host=i686-pc-linux-gnu</userinput></screen>
@@ -114,5 +115,6 @@
 
 <screen><userinput remap="configure">CC="gcc -mx32" ./configure \
-    --prefix=/usr         \
+    --prefix=/usr        \
+    --disable-static     \
     --libdir=/usr/libx32 \
     --host=x86_64-pc-linux-gnux32</userinput></screen>
Index: chapter08/kmod.xml
===================================================================
--- chapter08/kmod.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/kmod.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -119,4 +119,5 @@
     --libdir=/usr/lib32           \
     --sysconfdir=/etc             \
+    --with-openssl                \
     --with-xz                     \
     --with-zstd                   \
@@ -156,4 +157,5 @@
     --libdir=/usr/libx32          \
     --sysconfdir=/etc             \
+    --with-openssl                \
     --with-xz                     \
     --with-zstd                   \
Index: chapter08/readline.xml
===================================================================
--- chapter08/readline.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/readline.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -118,5 +118,6 @@
     --prefix=/usr                 \
     --libdir=/usr/lib32           \
-    --disable-static</userinput></screen>
+    --disable-static              \
+    --with-curses</userinput></screen>
 
     <para>Compile the package:</para>
@@ -149,5 +150,6 @@
     --prefix=/usr                 \
     --libdir=/usr/libx32          \
-    --disable-static</userinput></screen>
+    --disable-static              \
+    --with-curses</userinput></screen>
 
     <para>Compile the package:</para>
Index: chapter08/stripping.xml
===================================================================
--- chapter08/stripping.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/stripping.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -133,5 +133,6 @@
     esac
 done</userinput><userinput arch="ml_32,ml_all">
-for i in $(find /usr/lib32 -type f -name \*.so* ! -name \*dbg); do
+for i in $(find /usr/lib32 -type f -name \*.so* ! -name \*dbg) \
+         $(find /usr/lib32 -type f -name \*.a); do
     case "$online_usrbin $online_usrlib $save_usrlib" in
         *$(basename $i)* )
@@ -141,5 +142,6 @@
     esac
 done</userinput><userinput arch="ml_x32,ml_all">
-for i in $(find /usr/libx32 -type f -name \*.so* ! -name \*dbg); do
+for i in $(find /usr/libx32 -type f -name \*.so* ! -name \*dbg) \
+         $(find /usr/libx32 -type f -name \*.a); do
     case "$online_usrbin $online_usrlib $save_usrlib" in
         *$(basename $i)* )
Index: chapter08/wheel.xml
===================================================================
--- chapter08/wheel.xml	(revision a171781c75062fd784e3a0c54ecd85cacfab6aa5)
+++ chapter08/wheel.xml	(revision 9282602849aa50dff09b9cadf07490f17675ad1d)
@@ -87,5 +87,5 @@
         <seg>
            /usr/lib/python&python-minor;/site-packages/wheel and
-           /usr/lib/python&python-minor;/site-packages/wheel-0.37.1-py3.10.egg-info
+           /usr/lib/python&python-minor;/site-packages/wheel-&wheel-version;-py&python-minor;.egg-info
         </seg>
       </seglistitem>