Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter01/changelog.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -40,4 +40,5 @@
 <listitem><para>binutils-2.13.2-libc.patch</para></listitem>
 <listitem><para>coreutils-5.0</para></listitem>
+<listitem><para>coreutils-5.0-uname.patch</para></listitem>
 <listitem><para>dejagnu-1.4.3</para></listitem>
 <listitem><para>expect-5.38</para></listitem>
@@ -67,4 +68,15 @@
 </itemizedlist>
 </para></listitem>
+
+<listitem><para>May 11th, 2003 [winkie]: Chapter 06 - Install Coreutils:
+Fix some functionality of the uname command with a patch.</para></listitem>
+
+<listitem><para>May 11th, 2003 [winkie]: Chapter 06 - Installing Net-tools:
+Just do regular old "make install" instead of "make update". The latter
+works fine now.</para></listitem>
+
+<listitem><para>May 11th, 2003 [winkie]: Chapter 06 - Installing GCC:
+After installation, remove /usr/include/libiberty.h. It is not used
+outside of the GCC build tree.</para></listitem>
 
 <listitem><para>May 11th, 2003 [winkie]: Upgraded to Bash 2.05b and
Index: chapter04/coreutils-patch.xml
===================================================================
--- chapter04/coreutils-patch.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
+++ chapter04/coreutils-patch.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -0,0 +1,3 @@
+Coreutils Patch (&coreutils-patch-version;) - &coreutils-patch-size;:
+<ulink url="&ftp;/coreutils-&coreutils-patch-version;.patch"/>
+<ulink url="&http;/coreutils-&coreutils-patch-version;.patch"/>
Index: chapter04/packages.xml
===================================================================
--- chapter04/packages.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter04/packages.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -15,4 +15,5 @@
 &c4-bzip2;
 &c4-coreutils;
+&c4-coreutils-patch;
 &c4-dejagnu;
 &c4-diffutils;
Index: chapter05/bzip2-inst.xml
===================================================================
--- chapter05/bzip2-inst.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter05/bzip2-inst.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -10,4 +10,5 @@
 
 <para><screen><userinput>make -f Makefile-libbz2_so
+make clean
 make
 make check
Index: chapter06/bzip2-inst.xml
===================================================================
--- chapter06/bzip2-inst.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter06/bzip2-inst.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -6,5 +6,6 @@
 <para>Begin compiling the package:</para>
 
-<para><screen><userinput>make -f Makefile-libbz2_so</userinput></screen></para>
+<para><screen><userinput>make -f Makefile-libbz2_so &amp;&amp;
+make clean</userinput></screen></para>
 
 <para>The <emphasis>-f</emphasis> flag will cause bzip2 to be built
Index: chapter06/coreutils-inst.xml
===================================================================
--- chapter06/coreutils-inst.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter06/coreutils-inst.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -4,16 +4,34 @@
 <title>Installation of Coreutils</title>
 
-<para><screen><userinput>./configure --prefix=/usr
-make
-make install
-mv /usr/bin/{basename,cat,chgrp,chmod,chown,cp,dd,df} /bin &amp;&amp;
+<para>Normally the functionality of uname is somewhat broken, in that
+the -p switch always returns "unknown". This patch fixes that behaviour:</para>
+
+<para><screen><userinput>patch -Np1 -i ../coreutils-&coreutils-patch-version;.patch</userinput></screen></para>
+
+<para>Prepare Coreutils to be compiled:</para>
+
+<para><screen><userinput>./configure --prefix=/usr</userinput></screen></para>
+
+<para>Continue with compiling the package:</para>
+
+<para><screen><userinput>make</userinput></screen></para>
+
+<para>Install the package:</para>
+
+<para><screen><userinput>make install</userinput></screen></para>
+
+<para>Move files to their proper locations:</para>
+
+<para><screen><userinput>mv /usr/bin/{basename,cat,chgrp,chmod,chown,cp,dd,df} /bin &amp;&amp;
 mv /usr/bin/{dir,dircolors,du,date,echo,false,head} /bin &amp;&amp;
 mv /usr/bin/{install,ln,ls,mkdir,mkfifo,mknod,mv,pwd} /bin &amp;&amp;
 mv /usr/bin/{rm,rmdir,shred,sync,sleep,stty,su,test} /bin &amp;&amp;
 mv /usr/bin/{touch,true,uname,vdir} /bin
-mv /usr/bin/chroot /usr/sbin
-ln -s test /bin/[
+mv /usr/bin/chroot /usr/sbin</userinput></screen></para>
+
+<para>Finally, create a few necessary symlinks</para>
+
+<para><screen><userinput>ln -s test /bin/[
 ln -s ../../bin/install /usr/bin</userinput></screen></para>
-
 
 </sect2>
Index: chapter06/gcc-inst.xml
===================================================================
--- chapter06/gcc-inst.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter06/gcc-inst.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -76,4 +76,5 @@
 
 <para><screen><userinput>rm /usr/lib/libiberty.a</userinput></screen></para>
+<para><screen><userinput>rm /usr/include/libiberty.h</userinput></screen></para>
 
 </sect2>
Index: chapter06/nettools-inst.xml
===================================================================
--- chapter06/nettools-inst.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter06/nettools-inst.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -26,13 +26,5 @@
 <para>Finish installing the package:</para>
 
-<para><screen><userinput>make update</userinput></screen></para>
-
-<para>The <emphasis>update</emphasis> option to <userinput>make</userinput>
-works similarly to the <emphasis>install</emphasis> option, with one
-exception: it doesn't make backups of files it's replacing.</para>
-
-<para>If you decide to reinstall this package at some point in the
-future, a <userinput>make update</userinput> won't backup all the files
-from a previous net-tools installation.</para>
+<para><screen><userinput>make install</userinput></screen></para>
 
 </sect2>
Index: chapter06/zlib-inst.xml
===================================================================
--- chapter06/zlib-inst.xml	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ chapter06/zlib-inst.xml	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -15,16 +15,21 @@
 &nbsp;&nbsp;&nbsp;&nbsp;./configure --prefix=/usr --shared</userinput></screen></para>
 
+         make clean
+         ./configure --prefix=/usr
+         make
+         make install
+
 <para>The <emphasis>-fPIC</emphasis> flag helps to assure
 quality in the dynamic zlib library.</para>
 
-<para>Some packages expect a static zlib library to be present
-on the system. To satisfy those programs, compile both the
-shared and static libraries:</para>
-
-<para><screen><userinput>make LIBS="libz.so.1.1.4 libz.a"</userinput></screen></para>
+<para><screen><userinput>make</userinput></screen></para>
 
 <para>Install the libraries:</para>
 
-<para><screen><userinput>make LIBS="libz.so.1.1.4 libz.a" install</userinput></screen></para>
+<para><screen><userinput>make install &amp;&amp;
+make clean &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
 
 <para>The shared zlib library should be installed in the
Index: entities/coreutils.ent
===================================================================
--- entities/coreutils.ent	(revision b8770e4e2a585520ed33b9e26214e1b62129e4d8)
+++ entities/coreutils.ent	(revision 972014586e742e763dda2347d614d38e0f82223b)
@@ -1,3 +1,4 @@
 <!ENTITY c4-coreutils SYSTEM "../chapter04/coreutils.xml">
+<!ENTITY c4-coreutils-patch SYSTEM "../chapter04/coreutils-patch.xml">
 
 <!ENTITY c5-coreutils SYSTEM "../chapter05/coreutils.xml">
@@ -14,11 +15,11 @@
 
 <!ENTITY coreutils-version "5.0">
-<!ENTITY coreutils-depversion "3.1.0">
-<!ENTITY coreutils-contversion "3.1.1">
+<!ENTITY coreutils-depversion "">
+<!ENTITY coreutils-contversion "">
 <!ENTITY coreutils-size "1,831 KB">
-<!ENTITY coreutils-patch-size "1 KB">
-<!ENTITY coreutils-patch-version "3.1.1-3">
 <!ENTITY coreutils-dir "coreutils-&coreutils-version;">
 <!ENTITY coreutils-package "coreutils-&coreutils-version;.tar.bz2">
+<!ENTITY coreutils-patch-size "1 KB">
+<!ENTITY coreutils-patch-version "5.0-uname">
 
 <!ENTITY coreutils-compsize-static "17 MB">