Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter01/changelog.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -117,4 +117,7 @@
 </listitem>
 
+<listitem><para>November 6, 2005 [matt]: Remove the optimization related
+warnings from the toolchain packages (bug 1650).</para></listitem>
+
 <listitem><para>November 6, 2005 [matt]: Install Vim's documentation to
 <filename class="directory">/usr/share/doc/vim-&vim-version;</filename> instead
Index: chapter05/binutils-pass1.xml
===================================================================
--- chapter05/binutils-pass1.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter05/binutils-pass1.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -34,11 +34,4 @@
 linker and assembler to determine which of their own features to
 enable.</para>
-
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building Binutils.</para>
 
 <para>The Binutils documentation recommends building Binutils outside of the
Index: chapter05/binutils-pass2.xml
===================================================================
--- chapter05/binutils-pass2.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter05/binutils-pass2.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -33,11 +33,4 @@
 <sect2 role="installation">
 <title>Re-installation of Binutils</title>
-
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building Binutils.</para>
 
 <para>Create a separate build directory again:</para>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter05/gcc-pass1.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -29,11 +29,4 @@
 <sect2 role="installation">
 <title>Installation of GCC</title>
-
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building GCC.</para>
 
 <para>The GCC documentation recommends building GCC outside of the
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter05/gcc-pass2.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -29,11 +29,4 @@
 <title>Re-installation of GCC</title>
 
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building GCC.</para>
-
 <para>The tools required to test GCC and Binutils&mdash;Tcl, Expect
 and DejaGNU&mdash;are installed now. GCC and Binutils can now be
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter05/glibc.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -29,15 +29,4 @@
 <sect2 role="installation">
 <title>Installation of Glibc</title>
-
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building Glibc.</para>
-
-<para>It should be noted that compiling Glibc in any way other than
-the method suggested in this book puts the stability of the system at
-risk.</para>
 
 <para>The Glibc documentation recommends building Glibc outside of the source
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter06/binutils.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -32,11 +32,4 @@
 <title>Installation of Binutils</title>
 
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building Binutils.</para>
-
 <para>Verify that the PTYs are working properly inside the chroot
 environment. Check that everything is set up correctly by performing a
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter06/gcc.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -32,11 +32,4 @@
 <title>Installation of GCC</title>
 
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building GCC.</para>
-
 <para>Apply a <command>sed</command> substitution that will suppress the
 installation of <filename class="libraryfile">libiberty.a</filename>. The
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter06/glibc.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -42,11 +42,4 @@
 convert from/to Unicode, therefore libiconv is not required on an LFS
 system.</para></note>
-
-<para>This package is known to have issues when its default
-optimization flags (including the <parameter>-march</parameter> and
-<parameter>-mcpu</parameter> options) are changed. If any environment
-variables that override default optimizations have been defined, such
-as <envar>CFLAGS</envar> and <envar>CXXFLAGS</envar>,
-unset them when building Glibc.</para>
 
 <para>The Glibc build system is self-contained and will install
Index: chapter06/introduction.xml
===================================================================
--- chapter06/introduction.xml	(revision a5ebf89e5b0918e10060fbca0c86f299e5db801f)
+++ chapter06/introduction.xml	(revision 982932985a585e42889c0adbd26b34e591ac9608)
@@ -32,9 +32,11 @@
 does compile when using optimization, there is the risk it may have
 been compiled incorrectly because of the complex interactions between
-the code and build tools.  The small potential gains achieved in using
-compiler optimizations are often outweighed by the risks. First-time
-builders of LFS are encouraged to build without custom optimizations.
-The subsequent system will still run very fast and be stable at the
-same time.</para>
+the code and build tools.  Also note that the <option>-march</option>
+and <option>-mtune</option> options may cause problems with the
+toolchain packages (Binutils, GCC and Glibc).  The small potential
+gains achieved in using compiler optimizations are often outweighed by
+the risks. First-time builders of LFS are encouraged to build without
+custom optimizations.  The subsequent system will still run very fast
+and be stable at the same time.</para>
 
 <para>The order that packages are installed in this chapter needs to